# NOTE
# - release notes: https://code.google.com/p/memcached/wiki/ReleaseNotes

# Conditional build:
%bcond_with		repcached		# repcached support, http://repcached.lab.klab.org/

Summary:	A high-performance, distributed memory object caching system
Summary(pl.UTF-8):	Rozproszony, wysokiej wydajności system cache'owania obiektów
Name:		memcached
Version:	1.4.20
Release:	1
License:	BSD
Group:		Networking/Daemons
Source0:	http://www.memcached.org/files/%{name}-%{version}.tar.gz
# Source0-md5:	92f702bcb28d7bec8fdf9418360fc062
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.tmpfiles
URL:		http://memcached.org/
Patch0:		repcached.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libevent-devel >= 1.1
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts >= 0.4.1.23
Provides:	group(memcached)
Provides:	user(memcached)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A high-performance, distributed memory object caching system.

%description -l pl.UTF-8
Rozproszony, wysokiej wydajności system cache'owania obiektów.

%prep
%setup -q
%{?with_repcached:%patch0 -p1}

sed -nie '1,/^$/p' ChangeLog

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_repcached:--enable-replication} \
	--disable-coverage
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig},/var/run/memcached} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT%{systemdtmpfilesdir}

install -p memcached $RPM_BUILD_ROOT%{_sbindir}
cp -p doc/memcached.1 $RPM_BUILD_ROOT%{_mandir}/man1

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

install %{SOURCE3} $RPM_BUILD_ROOT%{systemdtmpfilesdir}/%{name}.conf

%pre
%groupadd -g 209 %{name}
%useradd -u 209 -d /usr/share/empty -g %{name} -c "Memcached Daemon" %{name}

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" = "0" ]; then
	%userremove %{name}
	%groupremove %{name}
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README.md ChangeLog doc/*.txt
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_sbindir}/%{name}
%{_mandir}/man1/memcached.1*
%dir %attr(770,root,memcached) /var/run/memcached
%{systemdtmpfilesdir}/%{name}.conf
%changelog
* Tue May 13 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/memcached.git;a=log;h=master

* Tue May 13 2014 Elan Ruusamäe <glen@delfi.ee> cc074cd
- up to 1.4.20

* Wed Jan 01 2014 Elan Ruusamäe <glen@delfi.ee> 5628a20
- up to 1.4.17

* Mon Sep 30 2013 Elan Ruusamäe <glen@delfi.ee> f1cd211
- add link to release notes

* Mon Sep 30 2013 Elan Ruusamäe <glen@delfi.ee> 68d94ad
- up to 1.4.15

* Mon Sep 30 2013 Elan Ruusamäe <glen@delfi.ee> 8d353ae
- sample for setting ulimits

* Fri Feb 03 2012 lisu <lisu@pld-linux.org> aa0756f
- updated to 1.4.13

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> ac2fc3c
- release 2

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> d168c3c
- added tmpfiles config for systemd

* Mon Jan 30 2012 Jan Rękorajski <baggins@pld-linux.org> 01cf3b6
- add systemd tmpfiles config

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 89b9204
- up to 1.4.11

* Thu Nov 10 2011 Elan Ruusamäe <glen@pld-linux.org> df9e54d
- up to 1.4.10

* Thu Feb 24 2011 lisu <lisu@pld-linux.org> 1d8349c
- rel 3 (rebuild with new libevent)

* Thu May 06 2010 Elan Ruusamäe <glen@pld-linux.org> e355c17
- repcached patch (default off)

* Thu May 06 2010 Elan Ruusamäe <glen@pld-linux.org> ebcb98d
- reload memcached we control

* Thu May 06 2010 Elan Ruusamäe <glen@pld-linux.org> 10f6ab8
- formatting cosmetics

* Thu May 06 2010 Elan Ruusamäe <glen@pld-linux.org> c4fcb0e
- adjust to 1.4.5

* Thu May 06 2010 Elan Ruusamäe <glen@pld-linux.org> 6e2f684
- pclean

* Thu May 06 2010 Elan Ruusamäe <glen@pld-linux.org> 78cd6cf
- filter out unwanted chunks:
  filterdiff -p1 -x config.guess -x config.sub -x configure -x doc/Makefile -x Makefile.in -x memcached.spec

* Thu May 06 2010 Elan Ruusamäe <glen@pld-linux.org> 894d11c
- raw from http://mdounin.ru/files/repcached-2.2-1.4.4.patch.gz
  link to it from http://groups.google.com/group/memcached/browse_thread/thread/8a851be2b4ca6538?pli=1

* Mon Apr 05 2010 Elan Ruusamäe <glen@pld-linux.org> 8a186de
- release 2

